LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Games (https://www.linuxquestions.org/questions/linux-games-33/)
-   -   SuSE 9.1 Radeon 7500 support... (https://www.linuxquestions.org/questions/linux-games-33/suse-9-1-radeon-7500-support-185226/)

JaseP 05-24-2004 11:12 AM

SuSE 9.1 Radeon 7500 support...
 
I've recently upgraded my laptop to SuSE 9.1 Pro from SuSE 8.2 Pro. In doing so, I've seemed to loose the ability to get my OpenGl working for anything other than the games that came with the distro.

Tuxracer, the billiards thing, the fighter-jet game and glxgears all work properly. Although somewhat low in the frame-rate department. GLXgears gives framerates in the 550 per second range, within it's default window, at 1400x1050 resolution.

Quake 3 Arena fails to be able to grab the graphics sub-system. SimCity 3000 (patched Loki edition, not winex) segfaults. Also, Celestia, which comes with the Distro fails to grab OpenGL either. I haven't tried UT2003 or UT2004 as they are somewhat bigger games and I don't have an extra 5 GB of space in my /usr partition.

The machine has an integrated ATI Radeon 7500.

So the OpenGL subsystem is working, it just isn't getting the job done for the commercial stuff I have. I'll try to install VegaStrike from source... but I'd rather lock down what the problem is first.

Does anyone have a clue as to why some programs can utilize the OpenGL system and others can't.

ima 05-24-2004 08:58 PM

I have a radeon 7500 in my desktop - I found that installing the latest DRI drivers took care of the issues I experienced. I also had success "telling" Suse it was an 8500, but, if you search for "radeon 7500" here you'll find that the r200 (Q? E?) driver is the one that contains 7500 support. That info is likely on the ATI site as well.

Good Luck!

JaseP 05-25-2004 12:16 PM

I was looking for the r200 QE driver, but could only find a QL driver. Still, no relief from the problem with celestia...

Until I know I can solve this,... I'm going to hesitate upgrading my desktop machine as well as this laptop.

JaseP 05-25-2004 12:59 PM

OK, this seems related to the new QT3 libraries...

I translated a German usenet with this very problem...

Does anyone know where I can get the older QT3 libraries that would be compatible with SuSE 9.1???

pb2ya 06-11-2004 11:29 AM

they have linux drivers for Radeon 7500 and a lot of other cards here:
http://dri.sourceforge.net/cgi-bin/m...713819e634149f

ima 06-11-2004 12:19 PM

Concerning pb2ya's post, be advised:
Quote:

Note that the binary modules only work against a 2.4 kernel; 2.6 users will have to build their own.
This from the link he provided, above.

Since I also have a Radeon 7500 although in a desktop


All times are GMT -5. The time now is 12:51 PM.